Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi.swt.reference
Class DeleteReferenceAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction
                      org.eclipse.emf.ecp.edit.spi.swt.reference.DeleteReferenceAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class DeleteReferenceAction

extends ECPSWTAction

This action unsets a reference.

Since:
  1.5
Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`DeleteReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature structuralFeature, ReferenceService referenceService)` The constructor for a delete reference action.
`DeleteReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EStructuralFeature.Setting setting, ReferenceService referenceService)` The constructor for a delete reference action.

Method Summary
`void` | `run()`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction
`equals, getEditingDomain, hashCode`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteReferenceAction

    public DeleteReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                 org.eclipse.emf.ecore.EStructuralFeature.Setting setting,
                                 ReferenceService referenceService)

  The constructor for a delete reference action.

  Parameters:
    `editingDomain` - the `EditingDomain` to use
    `setting` - the `EStructuralFeature.Setting` to use
    `referenceService` - the `ReferenceService` to use
  Since:
    1.6

### DeleteReferenceAction

    public DeleteReferenceAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                 org.eclipse.emf.ecore.EObject eObject,
                                 org.eclipse.emf.ecore.EStructuralFeature structuralFeature,
                                 ReferenceService referenceService)

  The constructor for a delete reference action.

  Parameters:
    `editingDomain` - The `EditingDomain` to use
    `eObject` - The `EObject` to use
    `structuralFeature` - The `EStructuralFeature` defining which feature of the `EObject` is used
    `referenceService` - The `ReferenceService` to use
  Since:
    1.6

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.